> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.bridge.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all transfers



## OpenAPI

````yaml https://withbridge-image1-sv-usw2-monorail-openapi.s3.amazonaws.com/latest.json get /transfers
openapi: 3.0.2
info:
  title: Bridge API
  description: APIs to move into, out of, and between any form of a dollar
  version: '1'
servers:
  - url: https://api.bridge.xyz/v0
    description: The base path for all resources
security:
  - ApiKey: []
tags:
  - name: Customers
  - name: Fiat Payout Configuration
  - name: External Accounts
  - name: Transfers
  - name: Prefunded Accounts
  - name: Balances
  - name: Liquidation Addresses
  - name: Developers
  - name: API Keys
  - name: Plaid
  - name: Virtual Accounts
  - name: Static Memos
  - name: Cards
  - name: Funds Requests
  - name: Webhooks
  - name: Lists
  - name: Crypto Return Policies
  - name: Rewards
  - name: Associated Persons
  - name: Sandbox
paths:
  /transfers:
    get:
      tags:
        - Transfers
      summary: Get all transfers
      parameters:
        - $ref: '#/components/parameters/LimitParameter'
        - $ref: '#/components/parameters/TransferStartingAfterParameter'
        - $ref: '#/components/parameters/TransferEndingBeforeParameter'
        - $ref: '#/components/parameters/TxHashParameter'
        - $ref: '#/components/parameters/UpdatedAfterMsParameter'
        - $ref: '#/components/parameters/UpdatedBeforeMsParameter'
        - $ref: '#/components/parameters/TemplateIDParameter'
        - $ref: '#/components/parameters/TransferStateParameter'
      responses:
        '200':
          description: List of transfers (the returned list is empty if none found)
          content:
            application/json:
              schema:
                title: Transfers
                type: object
                required:
                  - count
                  - data
                properties:
                  count:
                    type: integer
                    description: The number of transfers returned
                  data:
                    type: array
                    minItems: 0
                    items:
                      $ref: '#/components/schemas/TransferResponse'
              examples:
                TransfersFound:
                  summary: A non-empty list of transfers
                  value:
                    count: 2
                    data:
                      - $ref: >-
                          #/components/examples/AchOnrampFundsReceivedTransferResponse
                      - $ref: '#/components/examples/AchOfframpTransferResponse'
                NoTransfersFound:
                  summary: An empty list of transfers
                  value:
                    count: 0
                    data: []
        '401':
          $ref: '#/components/responses/AuthenticationError'
        '500':
          $ref: '#/components/responses/UnexpectedError'
components:
  parameters:
    LimitParameter:
      in: query
      name: limit
      schema:
        type: integer
        minimum: 1
        maximum: 100
        default: 10
      description: The number of items to return (min 1, default 10, max 100)
    TransferStartingAfterParameter:
      in: query
      name: starting_after
      schema:
        type: string
      description: >-
        This is a transfer id. If this is specified, the next page that starts
        with a transfer right AFTER the specified transfer id on the transfer
        timeline, which is always ordered from the newest to the oldest by
        creation time, will be returned. This also implies that transfers older
        than the specified transfer id will be returned (shouldn't be set if
        ending_before is set)
    TransferEndingBeforeParameter:
      in: query
      name: ending_before
      schema:
        type: string
      description: >-
        This is a transfer id. If this is specified, the previous page that ends
        with a transfer right BEFORE the specified transfer id on the transfer
        timeline, which is always ordered from the newest to the oldest by
        creation time, will be returned. This also implies that transfers newer
        than the specified transfer id will be returned (shouldn't be set if
        starting_after is set)
    TxHashParameter:
      name: tx_hash
      in: query
      required: false
      schema:
        type: string
      description: The hash of the transaction
    UpdatedAfterMsParameter:
      in: query
      name: updated_after_ms
      schema:
        type: integer
      description: >-
        This is a unix timestamp in milliseconds. If this is specified, objects
        updated AFTER the specified timestamp will be returned
    UpdatedBeforeMsParameter:
      in: query
      name: updated_before_ms
      schema:
        type: integer
      description: >-
        This is a unix timestamp in milliseconds. If this is specified, objects
        updated BEFORE the specified timestamp will be returned
    TemplateIDParameter:
      name: template_id
      in: query
      required: false
      schema:
        $ref: '#/components/schemas/Id'
      description: >-
        This is a template id. If this is specified, the transfers with the
        specified template id will be returned.
    TransferStateParameter:
      name: state
      in: query
      required: false
      schema:
        type: string
        enum:
          - awaiting_funds
          - funds_received
          - payment_submitted
          - payment_processed
          - in_review
          - kyc_required
          - kyc_in_review
          - developer_kyb_required
          - canceled
          - error
          - returned
          - refund_in_flight
          - refund_failed
          - refunded
          - undeliverable
      description: >-
        Filter transfers by their external state. See [Transfer
        States](https://apidocs.bridge.xyz/platform/orchestration/transfers/transfer-states)
        for more details.
  schemas:
    TransferResponse:
      required:
        - id
        - amount
        - developer_fee
        - currency
        - on_behalf_of
        - source
        - destination
        - state
        - receipt
        - created_at
        - updated_at
      properties:
        id:
          $ref: '#/components/schemas/Id'
          readOnly: true
        client_reference_id:
          $ref: '#/components/schemas/client_reference_id'
        amount:
          description: >-
            Amount of the transfer, expressed as a decimal string.  Examples
            include "100.25", "0.1", "1.234567", "1.01" etc.


            It is denominated in the source currency if that is a fiat currency,
            or in the fiat currency to which the source currency is pegged.
          type: string
        currency:
          $ref: '#/components/schemas/EuroInclusiveFiatCurrency'
          description: >-
            Fiat currency for the transfer amount and developer fee. It's the
            source currency if that is a fiat currency or the fiat currency to
            which the source currency is pegged.
        on_behalf_of:
          description: >-
            The id of the Bridge customer that you are moving funds on behalf
            of.
          type: string
        developer_fee:
          description: >-
            The fee, expressed as a decimal string, represents the amount you
            wish to reserve for your own account. This fee is the final amount
            deducted from what your customer ultimately receives, rather than a
            percentage.


            It is denominated in the source currency if that is a fiat currency,
            or in the fiat currency to which the source currency is pegged.
          type: string
        developer_fee_percent:
          description: >-
            The fee percent, expressed as a decimal string from `0.0` to
            `100.0`, represents the percentage of the transfer you wish to
            reserve for your own account.


            This field must be set instead of `developer_fee` when using
            [Flexible
            Amounts](https://apidocs.bridge.xyz/platform/orchestration/fees-and-mins/devfees#transfers-with-fixed-amounts).
          type: string
        source:
          description: >-
            The source of the transfer, which could be an external bank account,
            a bridge account, or a crypto wallet address
          allOf:
            - $ref: '#/components/schemas/TransferSource'
            - properties:
                currency:
                  $ref: '#/components/schemas/EuroInclusiveCurrency'
                  description: The source currency
                payment_rail:
                  $ref: '#/components/schemas/TransferSourcePaymentRail'
                  description: The intended source payment rail
                payment_received_rail:
                  $ref: '#/components/schemas/TransferSourcePaymentRail'
                  description: >-
                    The rail on which the payment was actually received. Set
                    once the funds have been onramped.
                  readOnly: true
                from_address:
                  description: >-
                    The crypto wallet address that the customer will send funds
                    from, in order to kick off this transfer
                  type: string
        destination:
          description: >-
            The destination of the transfer, which could be an external bank
            account, a bridge account, or a crypto wallet address
          allOf:
            - $ref: '#/components/schemas/TransferDestination'
            - properties:
                amount:
                  description: >-
                    The destination amount for the recipient to receive. Present
                    when the transfer was created with a destination amount
                    (Fixed Outputs).


                    Denominated in the destination currency.


                    Expressed as a decimal string. Examples include "100.25",
                    "0.1", "1.234567", "1.01" etc.
                  type: string
                  readOnly: true
                currency:
                  $ref: '#/components/schemas/EuroInclusiveCurrency'
                  description: The destination currency
                payment_rail:
                  $ref: '#/components/schemas/SepaSwiftInclusivePaymentRail'
                  description: The destination payment rail
                to_address:
                  description: >-
                    The crypto wallet address that the customer wishes to
                    ultimately receive funds at, in order to complete this
                    transfer
                  type: string
                wire_message:
                  description: >-
                    A message to be sent with a wire transfer, only allowed when
                    the payment rail is a wire.  This message will be validated
                    against 4 lines, each with a max length of 35 char according
                    to the Fedwire standard.
                  type: string
                blockchain_memo:
                  description: >-
                    A message to be sent with a crypto transaction, only allowed
                    when the payment rail is Stellar.
                  type: string
        state:
          $ref: '#/components/schemas/TransferState'
          description: >-
            Status of the transfer. See [Transfer
            States](https://apidocs.bridge.xyz/platform/orchestration/transfers/transfer-states)
            for more details.
          readOnly: true
        source_deposit_instructions:
          readOnly: true
          description: >-
            Some transfers require a deposit to be made by the customer before
            Bridge can start the process.  Instructions for how to kick off the
            transfer will be included here.  The deposit must match these
            instructions exactly, or the transfer will fail.
          allOf:
            - $ref: '#/components/schemas/DepositInstructions'
            - properties:
                currency:
                  $ref: '#/components/schemas/EuroInclusiveCurrency'
                  description: The source currency
                payment_rail:
                  $ref: '#/components/schemas/SepaSwiftInclusivePaymentRail'
                  description: The source payment rail
                amount:
                  description: >-
                    Amount of the deposit, expressed as a decimal string. It's
                    denominated in the source currency if that is a fiat
                    currency, or in the fiat currency to which the source
                    currency is pegged. Examples include "100.25", "0.1",
                    "1.234567", "1.01" etc.
                  type: string
                deposit_message:
                  description: >-
                    The message that the customer MUST include in their `wire
                    memo/message`, `ach push description`, or `sepa reference`.
                  type: string
                blockchain_memo:
                  description: >-
                    If present, the message that the customer MUST include in
                    their on chain transfer. Only used for memo-based
                    blockchains such as Stellar and Tron
                  type: string
        receipt:
          $ref: '#/components/schemas/Receipt'
          description: Receipt information of a transfer
        return_details:
          $ref: '#/components/schemas/TransferReturnDetails'
          readOnly: true
          description: Return information, if the transfer has been returned.
        return_instructions:
          $ref: '#/components/schemas/ReturnInstructions'
          readOnly: true
          description: >-
            Optional return instructions configured when creating or updating
            the transfer.
        exchange_details:
          $ref: '#/components/schemas/ExchangeDetails'
          readOnly: true
          description: Exchange details for the associated trade, if applicable.
        created_at:
          readOnly: true
          type: string
          description: Time of creation of the transfer
          format: date-time
        updated_at:
          readOnly: true
          type: string
          description: Time of update of the transfer
          format: date-time
        template_id:
          $ref: '#/components/schemas/Id'
          readOnly: true
          description: >-
            The ID of the static template transfer from which this transfer was
            instantiated. Only present for transfers created from a template.
    Id:
      description: A UUID that uniquely identifies a resource
      type: string
      pattern: '[a-z0-9]*'
      minLength: 1
      maxLength: 42
    client_reference_id:
      description: >-
        A client-provided reference ID that uniquely identifies a resource in
        the client's system
      type: string
      minLength: 1
      maxLength: 256
    EuroInclusiveFiatCurrency:
      type: string
      enum:
        - usd
        - eur
        - mxn
        - brl
        - cop
        - gbp
    TransferSource:
      required:
        - currency
        - payment_rail
      properties:
        currency:
          $ref: '#/components/schemas/EuroInclusiveCurrency'
          description: |-
            When `eur` is specified as the source currency:
              1. the source rail must be `sepa`;
              2. only `usdc` or `eurc` are supported as the destination currency
        payment_rail:
          $ref: '#/components/schemas/TransferSourcePaymentRail'
          description: |-
            When `sepa` is specified as the source rail:
              1. the source currency must be `eur`;
              2. only `usdc` or `eurc` are supported as the destination currency 

             **Note: This is the intended payment rail, and may differ from the actual payment rail used to onramp the funds.**
        payment_scheme:
          $ref: '#/components/schemas/PaymentScheme'
          description: >-
            (SEPA only) The payment scheme used for this transaction, such as
            SEPA Credit Transfer or SEPA Instant
          readOnly: true
        omad:
          $ref: '#/components/schemas/Omad'
          readOnly: true
        imad:
          $ref: '#/components/schemas/Imad'
          readOnly: true
        trace_number:
          $ref: '#/components/schemas/TraceNumber'
          readOnly: true
        bank_beneficiary_name:
          description: >-
            (Wire only) The name of the beneficiary of the bank account that the
            customer sent the deposit to
          type: string
          readOnly: true
        bank_beneficiary_address:
          description: >-
            (Wire only) The address of the beneficiary of the bank account that
            the customer sent the deposit to
          type: string
          readOnly: true
        bank_routing_number:
          description: >-
            (Wire only) The routing number of the bank that the customer sent
            the deposit to
          type: string
          readOnly: true
        bank_name:
          description: >-
            (Wire and SPEI only) The name of the bank that the customer sent the
            deposit from.
          type: string
          readOnly: true
        originator_name:
          description: (Wire only) The originator name of this wire
          type: string
          readOnly: true
        originator_address:
          description: (Wire only) The originator address of this wire
          type: string
          readOnly: true
        wire_message:
          description: (Wire only) The memo for this wire
          type: string
          readOnly: true
        bridge_wallet_id:
          $ref: '#/components/schemas/Id'
          description: (Bridge Wallet only) The ID of the Bridge Wallet to draw funds from
        sender_name:
          description: >-
            (ACH and FedNow only) The name of the business or individual who
            initiated the transaction
          type: string
          readOnly: true
        sender_bank_routing_number:
          description: >-
            (ACH and FedNow only) The routing number of the entity that
            initiated this transaction
          type: string
          readOnly: true
        end_to_end_id:
          $ref: '#/components/schemas/EndToEndId'
          readOnly: true
        description:
          description: (ACH only) The description of the deposit that the customer sent
          type: string
          readOnly: true
        tracking_number:
          $ref: '#/components/schemas/TrackingNumber'
          readOnly: true
        clabe:
          $ref: '#/components/schemas/Clabe'
          description: >-
            (SPEI only) The 18-digit CLABE of the sender who initiated this SPEI
            transaction
          readOnly: true
        bank_code:
          description: >-
            (SPEI only) The bank code of the sender's bank that initiated this
            SPEI transaction.
          type: string
          readOnly: true
        transaction_id:
          $ref: '#/components/schemas/TransactionId'
          readOnly: true
        co_bank_transfer:
          description: (co_bank_transfer only) Details for Colombian bank transfers.
          type: object
          required:
            - redirect_url
          properties:
            redirect_url:
              description: >-
                URL to redirect the customer to after completing the bank
                transfer
              type: string
              writeOnly: true
            expiry_date:
              description: >-
                Optional ISO 8601 expiry timestamp for the payment session.
                Defaults to 24 hours from creation.
              type: string
              writeOnly: true
            sender_data:
              description: >-
                Sender information for the CO bank transfer. If omitted, the
                payer must manually provide this information via the payment
                link. If provided, fields will be pre-populated for the payer.
                Sensitive fields are masked in responses (e.g. document_number
                shows `***3456`).
              type: object
              required:
                - full_name
                - document_type
                - document_number
                - email
                - phone_number
              properties:
                full_name:
                  description: Full name of the sender
                  type: string
                document_type:
                  $ref: '#/components/schemas/CoBankTransferDocumentType'
                document_number:
                  description: >-
                    Document number of the sender. Masked in responses (e.g.
                    ***3456).
                  type: string
                email:
                  description: Email address of the sender
                  type: string
                phone_number:
                  description: >-
                    Phone number of the sender in E.164 format (e.g.
                    +573001234567)
                  type: string
    EuroInclusiveCurrency:
      type: string
      enum:
        - brl
        - cop
        - eur
        - eurc
        - gbp
        - mxn
        - pyusd
        - usd
        - usdb
        - usdc
        - usdt
    TransferSourcePaymentRail:
      type: string
      enum:
        - ach
        - wire
        - ach_push
        - ach_same_day
        - fednow
        - arbitrum
        - avalanche_c_chain
        - base
        - bre_b
        - co_bank_transfer
        - bridge_wallet
        - celo
        - ethereum
        - faster_payments
        - optimism
        - pix
        - polygon
        - sepa
        - solana
        - spei
        - stellar
        - swift
        - tempo
        - tron
    TransferDestination:
      required:
        - currency
        - payment_rail
      properties:
        currency:
          $ref: '#/components/schemas/EuroInclusiveCurrency'
          description: >-
            When `eur` is specified as the destination currency, the destination
            rail must be `sepa`.
        payment_rail:
          $ref: '#/components/schemas/SepaSwiftInclusiveOfframpPaymentRail'
          description: >-
            When `sepa` is specified as the destination payment rail, the
            destination currency must be `eur`; when `swift` is specified as the
            destination payment rail, the destination currency must be `usd`.
        external_account_id:
          $ref: '#/components/schemas/Id'
          description: >-
            External bank account Bridge should send the funds to. The currency
            associated with the External Account must match the destination
            currency.
        bridge_wallet_id:
          $ref: '#/components/schemas/Id'
          description: >-
            The Bridge Wallet to which Bridge will send the funds. The chain
            associated with the Bridge Wallet must match the destination payment
            rail.
        omad:
          $ref: '#/components/schemas/Omad'
          readOnly: true
        imad:
          $ref: '#/components/schemas/Imad'
          readOnly: true
        trace_number:
          $ref: '#/components/schemas/TraceNumber'
          readOnly: true
        end_to_end_id:
          $ref: '#/components/schemas/EndToEndId'
          readOnly: true
        wire_message:
          $ref: '#/components/schemas/WireMessage'
        sepa_reference:
          $ref: '#/components/schemas/SepaReference'
        swift_reference:
          $ref: '#/components/schemas/SwiftReference'
        spei_reference:
          $ref: '#/components/schemas/SpeiReference'
        reference:
          $ref: '#/components/schemas/Reference'
        swift_charges:
          $ref: '#/components/schemas/SwiftCharges'
          description: >
            **Deprecated**: prefer `charge_bearer`; this field will be removed
            in a future release. In responses, this field always mirrors
            `charge_bearer`. Sending both `swift_charges` and `charge_bearer`
            with conflicting values on a request is rejected.


            Which party will bear the charges for the SWIFT transaction. When
            left blank, `sha` will be used as the default.
          deprecated: true
        charge_bearer:
          $ref: '#/components/schemas/ChargeBearer'
          description: >-
            Which party bears the charges for the SWIFT transaction. Defaults to
            `sha` when not specified. Replaces the deprecated `swift_charges`
            field; accepted on both request and response.
        ach_reference:
          $ref: '#/components/schemas/AchReference'
        uetr:
          $ref: '#/components/schemas/Uetr'
        blockchain_memo:
          type: string
          description: >-
            The memo to include when sending funds on chain. Only allowed for
            blockchains that support memos such as Stellar
        deposit_id:
          $ref: '#/components/schemas/DepositId'
        tracking_number:
          $ref: '#/components/schemas/TrackingNumber'
          readOnly: true
        transaction_id:
          $ref: '#/components/schemas/TransactionId'
          readOnly: true
        sending_institution_name:
          description: The name of the institution sending the funds
          type: string
          readOnly: true
    SepaSwiftInclusivePaymentRail:
      type: string
      enum:
        - ach
        - wire
        - ach_push
        - ach_same_day
        - arbitrum
        - avalanche_c_chain
        - base
        - bre_b
        - co_bank_transfer
        - celo
        - ethereum
        - faster_payments
        - fiat_deposit_return
        - optimism
        - pix
        - polygon
        - sepa
        - solana
        - spei
        - stellar
        - swift
        - tempo
        - tron
    TransferState:
      type: string
      enum:
        - awaiting_funds
        - in_review
        - funds_received
        - payment_submitted
        - payment_processed
        - canceled
        - undeliverable
        - returned
        - refund_in_flight
        - refund_failed
        - refunded
    DepositInstructions:
      readOnly: true
      required:
        - payment_rail
        - amount
        - currency
      properties:
        payment_rail:
          $ref: '#/components/schemas/PaymentRail'
          description: >-
            The payment rail that Bridge is expecting funds to arrive on.  For a
            crypto based source on the transfer, this is the chain, i.e.
            ethereum or polygon
        amount:
          description: >-
            Amount of the deposit, represented as a dollar denominated string.
            Examples include "100.25", "0.1", "1.234567", "1.01" etc.
          type: string
        currency:
          $ref: '#/components/schemas/Currency'
        from_address:
          description: >-
            The crypto wallet address that the customer will send funds from, in
            order to kick off this transfer
          type: string
        to_address:
          description: >-
            The crypto wallet address the customer will send funds to in order
            to initiate the payment processing
          type: string
        memoless_to_address:
          description: >-
            An alternative crypto wallet address that encodes the memo, allowing
            the customer to send funds without needing to include a separate
            memo. Currently only available for Stellar deposits.
          type: string
        deposit_message:
          description: >-
            The message that the customer MUST include in their wire
            memo/message or ach push description
          type: string
        bank_name:
          description: The name of the bank that the customer should send the deposit to
          type: string
        bank_address:
          description: >-
            The address of the bank that the customer should send the deposit
            to. For SEPA, the country in this address should be used for sending
            the deposit
          type: string
        bank_routing_number:
          description: >-
            The routing number of the bank that the customer should send the
            deposit to
          type: string
        bank_account_number:
          description: >-
            The account number of the bank that the customer should send the
            deposit to
          type: string
        bank_beneficiary_name:
          description: >-
            The name of the beneficiary of the bank account that the customer
            should send the deposit to
          type: string
        bank_beneficiary_address:
          description: >-
            The address of the beneficiary of the bank account that the customer
            should send the deposit to
          type: string
        intermediary_bank_name:
          description: >-
            For USD SWIFT, the name of the intermediary correspondent bank that
            the originating bank should route the payment through.
          type: string
        intermediary_bank_bic:
          description: For USD SWIFT, the SWIFT/BIC of the intermediary correspondent bank
          type: string
        intermediary_bank_routing_number:
          description: >-
            For USD SWIFT, the ABA routing number of the intermediary
            correspondent bank
          type: string
        iban:
          description: >-
            For SEPA, the International Bank Account Number (IBAN) that the
            customer should use to send the deposit
          type: string
        bic:
          description: >-
            For SEPA, the Bank Identifier Code (BIC) that the customer should
            use to send the deposit
          type: string
        clabe:
          description: >-
            For SPEI, the CLABE (account number) that the customer should use to
            send the deposit
          type: string
        account_holder_name:
          description: >-
            For SEPA, the name of the bank account holder that the customer
            should use to send the deposit
          type: string
        bre_b_key:
          description: >-
            For Bre-B (Colombia), the Bre-B key that the customer should use to
            send the COP deposit
          type: string
        start_url:
          description: >-
            For co_bank_transfer (Colombia), the URL the customer should be
            redirected to in order to complete the bank transfer payment
          type: string
        redirect_url:
          description: >-
            For co_bank_transfer (Colombia), the merchant redirect URL provided
            when the transfer was created
          type: string
        expires_at:
          description: >-
            For Pix (Brazil) and co_bank_transfer (Colombia), the ISO 8601
            timestamp when the payment session expires
          type: string
    Receipt:
      required:
        - initial_amount
        - developer_fee
        - exchange_fee
        - subtotal_amount
      properties:
        initial_amount:
          description: >-
            The initial amount of the transfer, represented as a decimal string.
            Examples include "100.25", "0.1", "1.234567", "1.01" etc.


            It's denominated in the transfer's fiat currency (see the top-level
            `currency` field for more info)
          type: string
        developer_fee:
          description: >-
            The fee, expressed as a decimal string, represents the amount you
            wish to reserve for your own account.  This fee is the final amount
            deducted from what your customer ultimately receives, rather than a
            percentage.


            It is denominated in the transfer's fiat currency (see the top-level
            `currency` field for more info).
          type: string
        exchange_fee:
          description: >-
            The fee, expressed as a decimal string, represents the amount Bridge
            charges for facilitating the transfer.  This is the final amount to
            take out of what is ultimately received by your customer, not a
            percentage.


            It's denominated in the transfer's fiat currency (see top-level
            `currency` field for more info).
          type: string
        subtotal_amount:
          description: >-
            The initial amount of the transfer less fixed fees (including the
            developer_fee and exchange_fee). Examples include "100.25", "0.1",
            "1.234567", "1.01" etc.


            It's denominated in the transfer's fiat currency (see top-level
            `currency` field for more info).
          type: string
        remaining_prefunded_balance:
          description: >-
            For Prefunded Accounts, this value will represent the remaining
            account balance after the transfer.
          type: string
        gas_fee:
          description: >-
            The fee, expressed as a decimal string. It's deducted from the
            withdrawn amount to pay for gas.  Only nonzero to crypto withdrawals
            that cost gas (e.g. USDT), and only known when the transaction is
            confirmed on-chain.  Will be missing if not yet known.


            It's denominated in the fiat currency to which the destination
            currency is pegged.
          type: string
        final_amount:
          description: >-
            The final amount of the transfer, expressed as a decimal string,
            equal to the subtotal_amount minus any gas fees.  If the gas fee is
            not known, this field will be missing.  Examples include "100.25",
            "0.1", "1.234567", "1.01" etc.


            It's denominated in the destination currency if that is a fiat
            currency or the fiat currency to which the destination currency is
            pegged.
          type: string
        source_tx_hash:
          description: >-
            The hash of the on-chain deposit to the source address, where
            applicable
        destination_tx_hash:
          description: >-
            The hash of the on-chain transfer to the destination address, where
            applicable
        exchange_rate:
          description: >-
            The effective exchange rate can be calculated by dividing the
            converted amount by the amount available for conversion after
            deducting the developer fee. This rate includes a currency
            conversion spread and is subject to a rounding precision loss during
            the calculation. Currently it's populated for SEPA onramp/offramp
            transfers only.
        url:
          description: The URL of a user-facing copy of the receipt.
          type: string
    TransferReturnDetails:
      properties:
        reason:
          description: >-
            The reason for the return, as given by the returning financial
            institution.
          type: string
        refund_reference_id:
          description: >-
            A unique identifier (such as transaction hash) for the refund
            transaction.
          type: string
        risk_rejection_reason:
          description: >-
            If the return is due to a risk rejection, this field will be
            populated with the reason for the risk rejection.
          type: string
    ReturnInstructions:
      description: >-
        Optional instructions for where to send funds if the transfer is
        returned (e.g. refund). Only supported when the source payment rail is
        crypto. Memo is required when the source payment rail is Stellar.
      type: object
      required:
        - address
      properties:
        address:
          description: >-
            The crypto wallet address to send returned funds to. Must be valid
            for the source payment rail's chain.
          type: string
        memo:
          description: >-
            Memo to include with the return transaction. Required when the
            source payment rail is Stellar; optional for other memo-capable
            chains.
          type: string
    ExchangeDetails:
      description: Exchange information for a currency conversion.
      properties:
        fixed_rate:
          description: The target exchange rate.
          type: string
        estimated_market_rate:
          description: The estimated achievable rate based on current market conditions.
          type: string
        traded_market_rate:
          description: The actual effective exchange rate achieved.
          type: string
        trade_at_market:
          description: Whether market-rate execution has been applied to this trade.
          type: boolean
        updated_at:
          description: Timestamp of the last exchange details update.
          type: string
          format: date-time
    Error:
      required:
        - code
        - message
      properties:
        code:
          type: string
          minLength: 1
          maxLength: 256
        message:
          type: string
          minLength: 1
          maxLength: 512
        source:
          title: ErrorSource
          required:
            - location
            - key
          properties:
            location:
              type: string
              enum:
                - path
                - query
                - body
                - header
            key:
              type: string
              description: >-
                Comma separated names of the properties or parameters causing
                the error
    PaymentScheme:
      type: string
      enum:
        - sepa_credit
        - sepa_instant
    Omad:
      description: (Wire only) The OMAD of a wire transfer, if available
      type: string
      pattern: '[a-z0-9]*'
      minLength: 1
      maxLength: 40
      deprecated: true
    Imad:
      description: (Wire only) The IMAD of a wire transfer, if available
      type: string
      pattern: '[a-z0-9]*'
      minLength: 1
      maxLength: 40
    TraceNumber:
      description: The trace number of an ACH transfer
      type: string
      pattern: '[0-9]'
      minLength: 15
      maxLength: 15
    EndToEndId:
      description: >-
        The end-to-end ID of the FedNow transaction, assigned by the sending
        bank, and is not guaranteed to be unique across payments.
      type: string
    TrackingNumber:
      description: >-
        The primary tracking identifier for this fiat transaction. Format varies
        by payment rail (e.g., UETR for SEPA/FPS, clave de rastreo for SPEI,
        end-to-end ID for PIX).
      type: string
      readOnly: true
    Clabe:
      description: >-
        The 18-digit CLABE (Clave Bancaria Estandarizada) of the sender who
        initiated this SPEI transaction
      type: string
      pattern: ^[0-9]+$
      minLength: 18
      maxLength: 18
    TransactionId:
      description: >-
        Deprecated: use tracking_number instead. The unique transaction
        identifier for this payment.
      type: string
      deprecated: true
    CoBankTransferDocumentType:
      description: >
        Colombian document type identifier. `cc` = Cédula de Ciudadanía, `ce` =
        Cédula de Extranjería, `nit` = NIT (tax ID), `rut` = RUT (worker
        registration), `pa` = Passport, `ppt` = Permiso de Protección Temporal.
      type: string
      enum:
        - cc
        - ce
        - nit
        - rut
        - pa
        - ppt
        - ti
        - rc
        - te
        - die
        - nd
    SepaSwiftInclusiveOfframpPaymentRail:
      type: string
      enum:
        - ach
        - wire
        - ach_push
        - ach_same_day
        - arbitrum
        - avalanche_c_chain
        - base
        - bre_b
        - co_bank_transfer
        - celo
        - ethereum
        - fiat_deposit_return
        - optimism
        - polygon
        - sepa
        - solana
        - spei
        - stellar
        - swift
        - tempo
        - tron
    WireMessage:
      description: >-
        A message to be sent with a wire transfer. It can have up to 140
        characters. This message will be validated against 4 lines, each with a
        max length of 35 characters according to the Fedwire standard.
      type: string
      minLength: 1
      maxLength: 256
    SepaReference:
      description: >-
        A reference message to be sent with a SEPA transaction. We recommend you
        set a unique value to help you and your customers track payments end to
        end. It must be from 6 to 140 characters. The allowed characters are
        `a-z`, `A-Z`, `0-9`, spaces, ampersand (`&`), hyphen (`-`), full stop
        (`.`), and solidus (`/`). If not populated, the default value is
        "Payment via Bridge {unique_token}".
      type: string
      minLength: 6
      maxLength: 140
    SwiftReference:
      description: >-
        A payment reference message or remittance information to be included in
        a SWIFT transaction. It can have at most 4 lines (separated by "\n"),
        each line with a max length of 35 chars. The allowed characters are
        `a-z`, `A-Z`, `0-9`, special characters (`/` `-` `?` `:` `(` `)` `.` `,`
        `'` `+`), and space
      type: string
      minLength: 1
      maxLength: 190
    SpeiReference:
      description: >-
        A payment reference message or remittance information to be included in
        a SPEI transaction. The allowed characters are alphanumeric `a-z`,
        `A-Z`, `0-9`, and space
      type: string
      minLength: 1
      maxLength: 40
    Reference:
      description: >
        A payment reference message for newer payment rails (e.g. Pix and Faster
        Payments).
      oneOf:
        - $ref: '#/components/schemas/FasterPaymentsReference'
        - $ref: '#/components/schemas/PixReference'
    SwiftCharges:
      description: >
        **Deprecated**: this schema is the type of the deprecated
        `swift_charges` field and will be removed in a future release. Prefer
        `charge_bearer`, which is typed by `ChargeBearer`.


        Which party bears the SWIFT transaction charges (MT 103 field 71A).

        - `our`: the sender (ordering customer) pays all charges.

        - `sha`: charges are shared — the sender pays their own bank's charges;
        intermediary/beneficiary bank charges are deducted from the transferred
        amount.

        - `ben`: the receiver (beneficiary) pays all charges, deducted from the
        transferred amount.
      deprecated: true
      type: string
      enum:
        - our
        - sha
        - ben
    ChargeBearer:
      description: >
        Which party bears the SWIFT transaction charges.

        - `our`: the sender (ordering customer) pays all charges.

        - `sha`: charges are shared — the sender pays their own bank's charges;
        intermediary/beneficiary bank charges are deducted from the transferred
        amount.

        - `ben`: the receiver (beneficiary) pays all charges, deducted from the
        transferred amount.
      type: string
      enum:
        - our
        - sha
        - ben
    AchReference:
      description: >-
        A reference message to be sent with an ACH transaction. It can be at
        most 10 characters, A-Z, a-z, 0-9, and spaces.
      type: string
      minLength: 1
      maxLength: 10
    Uetr:
      description: >-
        Deprecated: use tracking_number instead. The unique end-to-end
        transaction reference, for tracing purposes.
      type: string
      readOnly: true
      deprecated: true
    DepositId:
      description: A UUID that uniquely identifies a deposit
      type: string
      pattern: '[a-z0-9]*'
      minLength: 1
      maxLength: 42
    PaymentRail:
      type: string
      enum:
        - ach
        - wire
        - ach_push
        - ach_same_day
        - arbitrum
        - avalanche_c_chain
        - base
        - bre_b
        - co_bank_transfer
        - celo
        - ethereum
        - optimism
        - pix
        - polygon
        - solana
        - spei
        - stellar
        - tempo
    Currency:
      type: string
      enum:
        - usdb
        - usdc
        - usdt
        - usd
        - pyusd
    FasterPaymentsReference:
      title: Faster Payments
      type: string
      minLength: 1
      maxLength: 18
    PixReference:
      title: Pix
      type: string
      minLength: 1
      maxLength: 100
  responses:
    AuthenticationError:
      description: Missing or invalid API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            MissingTokenError:
              summary: No Api-Key header
              description: The header may be missing or misspelled.
              value:
                code: required
                location: header
                name: Api-Key
                message: Missing Api-Key header
            InvalidTokenError:
              summary: Invalid key in Api-Key header
              value:
                code: invalid
                location: header
                name: Api-Key
                message: Invalid Api-Key header
    UnexpectedError:
      description: Unexpected error. User may try and send the request again.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            UnexpectedError:
              summary: An unexpected error
              value:
                errors:
                  - code: unexpected
                    message: An expected error occurred, you may try again later
  securitySchemes:
    ApiKey:
      type: apiKey
      name: Api-Key
      in: header

````